<mat-toolbar class="dialog-header">
  <div class="dialog-title">
    <h2>
      {{
        data.dataKey.actionType === "edit" ? "Edit catalog" : "Add new catalog"
      }}
    </h2>
  </div>
  <button
    type="button"
    mat-icon-button
    [mat-dialog-close]="true"
    class="close"
    tabindex="-1"
  >
    <mat-icon aria-hidden="false" aria-label="Close icon">close</mat-icon>
  </button>
</mat-toolbar>
<mat-dialog-content>
  <div class="star-rating-container">
    <form [formGroup]="addEditDialogForm">
      <div class="flex-column">
        <mat-form-field>
          <mat-label>Catalog name</mat-label>
          <input matInput formControlName="name" />

          @if (
            controls["name"].touched && controls["name"].hasError("required")
          ) {
            <mat-error class="validation-msgs"
              >Catalog name required.</mat-error
            >
          }
        </mat-form-field>
        <div class="type-access-level-container">
          <mat-form-field class="full-width">
            <mat-label>Select access level</mat-label>
            <mat-select formControlName="accessTypeCode">
              @for (accessTypeCode of accessTypeCodes; track accessTypeCode) {
                <mat-option [value]="accessTypeCode.value">{{
                  accessTypeCode.name
                }}</mat-option>
              }
            </mat-select>
            @if (
              controls["accessTypeCode"].touched &&
              controls["accessTypeCode"].hasError("required")
            ) {
              <mat-error class="validation-msgs"
                >Catalog access level required.</mat-error
              >
            }
          </mat-form-field>
          <mat-form-field class="full-width">
            <mat-label>Select catalog type</mat-label>
            <mat-select formControlName="type">
              @for (type of catalogTypes; track type) {
                <mat-option [value]="type.value">{{ type.name }}</mat-option>
              }
            </mat-select>
            @if (
              controls["type"].touched && controls["type"].hasError("required")
            ) {
              <mat-error class="validation-msgs"
                >Catalog type required.</mat-error
              >
            }
          </mat-form-field>
        </div>

        <mat-form-field>
          <mat-label>Add description</mat-label>
          <textarea matInput formControlName="description"></textarea>
          @if (
            controls["description"].touched &&
            controls["description"].hasError("required")
          ) {
            <mat-error class="validation-msgs"
              >Catalog description required.</mat-error
            >
          }
        </mat-form-field>

        <mat-checkbox formControlName="selfPublish" color="primary">
          Self publish?
        </mat-checkbox>
      </div>
    </form>
  </div></mat-dialog-content
>
<mat-toolbar class="form-footer">
  <button mat-dialog-close mat-raised-button class="cancel-button">
    Cancel
  </button>
  <button
    [disabled]="addEditDialogForm.invalid"
    color="primary"
    mat-raised-button
    (click)="addEditCatalog()"
  >
    {{
      data.dataKey.actionType === "edit" ? "Update catalog" : "Create catalog"
    }}
  </button>
</mat-toolbar>
